INTERFACE
SUBROUTINE RADGHG ( KIDIA, KFDIA, KLON, KLEV,&
 & KRINT, KDLON, KSHIFT,&
 & PAPRS, PGEMU,&
 & PCO2 , PCH4 , PN2O , PNO2 , PC11 , PC12, POZO, PC22, PCL4 ) 
USE PARKIND1 ,ONLY : JPIM , JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KDLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KRINT
INTEGER(KIND=JPIM),INTENT(IN) :: KSHIFT
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCO2(KLON,KLEV), PCH4(KLON,KLEV), PN2O(KLON,KLEV),&
 & PNO2(KLON,KLEV), PC11(KLON,KLEV), PC12(KLON,KLEV), POZO(KLON,KLEV),&
 & PC22(KLON,KLEV), PCL4(KLON,KLEV) 
END SUBROUTINE RADGHG
END INTERFACE
